[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLQuery.ServerIndexDefs

List of indexes on the primary table of the query

## Declaration

Source position: sqldb.pp line 489

`published property TSQLQuery.ServerIndexDefs : TServerIndexDefs;`

## Description

ServerIndexDefs will be filled - during the Prepare call - with the list of indexes defined on the primary table in the query if UsePrimaryKeyAsKey is True. If a primary key is found, then the fields in it will be marked

## See also

UsePrimaryKeyAsKey |  | Should primary key fields be marked pfInKey
Prepare |  | Prepare a query for execution.

Documentation generated on: Feb 26 2014